For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
      • GETGet all surveys
      • POSTCreate survey
      • GETGet survey
      • DELDelete survey
      • GETGet all responses
      • POSTCreate response
      • DELDelete all responses
      • GETGet summary of responses
      • GETGet response
      • DELDelete a response
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSurveys

Get survey

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/surveys/:survey_id
GET
/api/v1/surveys/:survey_id
$curl https://api.prolific.com/api/v1/surveys/survey_id \
> -H "Authorization: Token <token>"
1{
2 "researcher_id": "6261321e223a605c7a4f7674",
3 "title": "Do you like ice cream?",
4 "_id": "62fcb37ba792097ae2145c6c",
5 "date_created": "2022-08-17T09:23:07",
6 "date_modified": "2022-08-17T09:23:07",
7 "sections": [
8 {
9 "questions": [
10 {
11 "answers": [
12 {
13 "value": "Yes",
14 "id": "c72d8cf9-5429-40ae-ac74-10041ed68824"
15 },
16 {
17 "value": "No",
18 "id": "a2de5745-b0b4-421b-98ec-23935c78be13"
19 }
20 ],
21 "title": "Do you like ice cream?",
22 "type": "single",
23 "id": "3797222e-f731-4bea-838b-f668682d902d"
24 }
25 ],
26 "title": "Ice cream",
27 "id": "75ac961f-d94a-4490-af8f-935ca088315f"
28 }
29 ],
30 "questions": []
31}
Get a single survey given an ID.
Was this page helpful?
Previous

Create survey

Next

Delete survey

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

survey_idstringRequired

Response

Successful Response
researcher_idstring
The Prolific researcher ID.
titlestring
The survey title.
_idstring
Auto generated by the system.
date_createddatetime

The date/time the survey was created (UTC).

date_modifieddatetime

The date/time the survey was modified (UTC).

sectionslist of objects

Optional: An array of sections in the survey, otherwise questions will be defined.

questionslist of objects

Optional: An array of questions in the survey, otherwise sections will be defined.

Errors

4XX
Client Request Error